summaryrefslogtreecommitdiff
path: root/tests/misc/stat-fmt
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-08-27 09:00:47 +0000
committerJim Meyering <jim@meyering.net>2003-08-27 09:00:47 +0000
commit2bfb4145e429145071e7328f965a1104600b9f4d (patch)
tree0095a1fc3deedec6a5fe50ed097c50935b4746f5 /tests/misc/stat-fmt
parentbd26acdde74606b0e4b4dde03828e374475294c6 (diff)
downloadcoreutils-2bfb4145e429145071e7328f965a1104600b9f4d.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/misc/stat-fmt')
-rwxr-xr-xtests/misc/stat-fmt31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/misc/stat-fmt b/tests/misc/stat-fmt
new file mode 100755
index 000000000..94c7f41c8
--- /dev/null
+++ b/tests/misc/stat-fmt
@@ -0,0 +1,31 @@
+#!/bin/sh
+# ensure that stat properly handles a format string ending with %
+
+if test "$VERBOSE" = yes; then
+ set -x
+ stat --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+for i in $(seq 50); do
+ fmt=`printf "%${i}s" %`
+ out=`stat --form="$fmt" .`
+ test "$out" = "$fmt" || fail=1
+done
+
+(exit $fail); exit $fail